{ config, ... }:
let
  cfg = config.services.ankisyncd;
in
{
  services.ankisyncd = {
    enable = true;
    host = "127.0.0.1";
  };

  services.nginx.virtualHosts."anki.sbruder.de" = {
    enableACME = true;
    forceSSL = true;

    locations."/".proxyPass = "http://${cfg.host}:${toString cfg.port}";
  };
}
