{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  networking.useDHCP = false;
  # replace with actual network interface
  networking.interfaces.eno1.useDHCP = true;

  environment.systemPackages = with pkgs; [
    git # required by krops
  ];

  services.openssh.enable = true;

  users.users.root.openssh.authorizedKeys.keys = [
    # add ssh keys required for initial deployment with krops
  ];

  console.keyMap = "de";
}
